# enable python3 on fedora
%if 0%{?fedora}
%bcond_without python3
%else
%bcond_with python3
%endif

%global pypi_name nosexcover

Name:           python-nose-xcover
Version:        1.0.10
Release:        1%{?dist}
Summary:        Extends nose.plugins.cover to add Cobertura-style XML reports

License:        BSD
URL:            http://pypi.python.org/pypi/nosexcover
Source0:        http://pypi.python.org/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires:       python-nose
Requires:       python-coverage >= 3.4

%if %{with python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires:       python3-nose
Requires:       python3-coverage >= 3.4
%endif


%description
A companion to the built-in nose.plugins.cover,
this plugin will write out an XML coverage report to a file named coverage.xml.
It will honor all the options you pass to the `Nose coverage plugin
especially --cover-package.


%if %{with python3}
%package -n python3-nose-xcover
Summary:        Extends nose.plugins.cover to add Cobertura-style XML reports
License:        BSD

%description -n python3-nose-xcover
A companion to the built-in nose.plugins.cover,
this plugin will write out an XML coverage report to a file named coverage.xml.
It will honor all the options you pass to the `Nose coverage plugin
especially --cover-package.
%endif


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%if %{with python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif


%build
%{__python2} setup.py build

%if %{with python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif


%install
%if %{with python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd
%endif

%{__python2} setup.py install --skip-build --root %{buildroot}


%files
%doc PKG-INFO
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%if %{with python3}
%files -n python3-nose-xcover
%doc PKG-INFO
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif


%changelog
* Fri Jul 03 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.0.10-1
- Update to upstream 1.0.10
- Add Python 3 support

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Sep 11 2012 Matthias Runge <mrunge@redhat.com> - 1.0.7-1
- Initial package.
